abstract type RejectionBasedChains <: AbstractMCMC.AbstractChains end

include("simple.jl")
#include("multi.jl")


function Base.show(io::IO, c::RejectionBasedChains)
    print(io, "Chain ", size(c), " {", eltype(c), "}")
end

function Base.display(c::RejectionBasedChains)
    println(c)
    info = get_info(c)
    nchains = size(c, 2)
    for k = keys(info)
        if nchains == 1
            println(" ", k, " : ", info[k][1])
        else
            m, s = mean(info[k]), std(info[k])
            println(" ", k, " : ", m, " ± ", s)
        end
    end
end